<?php

namespace App\Models;

class Client extends Eloquent {

	protected $table = 'clients';
	public $timestamps = true;
	protected $fillable = array('name', 'phone', 'password', 'email', 'd_o_b', 'city_id', 'blood_type_id', 'pin_code', 'last_donation_rate');

	public function city()
	{
		return $this->belongsTo('App\Models\City');
	}

	public function bloodType()
	{
		return $this->belongsTo('App\Models\BloodType');
	}

	public function posts()
	{
		return $this->belongsToMany('App\Models\Post');
	}

	public function governorates()
	{
		return $this->belongsToMany('App\Models\Governorate');
	}

	public function notifications()
	{
		return $this->belongsToMany('App\Models\Notification');
	}

	public function donationRequests()
	{
		return $this->hasMany('App\Models\DonationRequest');
	}

	public function bloodTypesSettings()
	{
		return $this->belongsToMany('BloodType');
	}

}